Create a Webhook

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Dataflow Automation MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/dataflow-automation/mcp"
  }
}

Close
POST /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks

Create a Webhook.

Path parameters

  • dataflowId string Required

    id of the Dataflow

  • recordSetId string Required

    id of the RecordSet

application/json

Body

  • webhookName string

    webhook name

  • requestedServer string

    set "https://dataflownode.zerionsoftware.com" for production Environment and "https://{{serverId}}-dataflownode.zerionsoftware.com" for a specific serverId if they do not share the same domain with production.

  • secureWebhook string

    true for secured webhook, and false for insecured webhook

  • recordSetId string

    recordSet that connects to the webhook

  • requestedDate string

    created date

  • _id string

    webhook name

  • webhookUrl string

    webhook URL

  • key string

    if secureWebhook is included, the returns will contain a public key for the webhook signature

  • secure boolean

    true if secureWebhook is included with true value, false for other cases

Responses

  • 200 application/json

    Successful response

    Hide response attributes Show response attributes object
    • recordSetId string

      recordSet that connects to the webhook

    • webhookName string

      webhook name

    • requestedDate string

      created date

    • _id string

      webhook name

    • webhookUrl string

      webhook URL

    • key string

      if secureWebhook is included, the returns will contain a public key for the webhook signature

    • secure boolean

      true if secureWebhook is included with true value, false for other cases

POST /dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks
curl \
 --request POST 'https://dataflownode.zerionsoftware.com/zcrypt/v1.0/dataflows/{dataflowId}/recordsets/{recordSetId}/webhooks' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data ' 
 "webhookName" : "new_webhook_name",
 "requestedServer" : "https://dataflownode.zerionsoftware.com",
 "secureWebhook" : true'
Request example
 
 "webhookName" : "new_webhook_name",
 "requestedServer" : "https://dataflownode.zerionsoftware.com",
 "secureWebhook" : true
Response examples (200)
{
  "recordSetId": "574bc94ed96535adaf730a62",
  "webhookName": "wh_rs4",
  "requestedDate": "2016-05-30T05:18:28.352Z",
  "_id": "574bcd24d96535adaf730a63",
  "webhookUrl": "{{serverId}}/domain/development/services/webhooks/xxxxxxxx-xxxxxxxx"
}